float currentRotation[] = {HALF_PI,PI};

// Graphics settings
boolean wireframe = false;
boolean showLines = false;
boolean useTexture = false;
boolean showAxes = true;
boolean plotLinear = false;
String imgLocation;

// Colors
color fillColor = #FFFFFF;
color lineColor = #FFFFFF;
color bgColor = #000000;

// Zoom, depth
float zoomScale = 3.0;
int depthTrans = 0;
int depthTransRate = 5;

// Contents of mesh array: mesh[theta][phi][x, y, or z]
float originalMesh[][][];
float mesh[][][];      // Array containing coordinates
float distFromCenter[][];
boolean meshBool[][];  // Plot this quadrilateral? True or false
int smoothingIterations = 2;
int whichShape = SHAPES[SHAPES.length-1];

// Distance threshold for plotting points
float maximumR = 255;

// For using textures
PImage img;
float u, v;

// ControlP5 menu GUI
ControlP5 controlP5;
ColorPicker color1, color2, color3;
Slider2D yzTrans;
ControlGroup menu;
ControlGroup colors;
